#!/usr/bin/perl

use CGI qw(-no_debug :standard escapeHTML);

my $lastcolor;

sub html_output {
    my $string = shift;
    my $color  = shift;
    $color ||= "black"; # Default-Wert

    # Metazeichen escapen
    $string = escapeHTML($string);  

    # Space und Tab werden bewahrt
    $string =~ s/ /&nbsp;/g;
    $string =~ s/\t/"&nbsp;" x 8/eg;

    # Newlines mssen beibehalten werden
    $string =~ s/\n/<br>\n/g; 
    print "<font color=$color face=monospace>" unless ($lastcolor) ;
    print "</font> <font color=$color face=monospace>" 
      if ($lastcolor && $lastcolor ne $color) ;
    print $string;
    $lastcolor = $color;

}
